Subject: pkg/24060: maplay (current) does not build
To: None <>
From: None <>
List: netbsd-bugs
Date: 01/12/2004 01:03:42
>Number:         24060
>Category:       pkg
>Synopsis:       maplay (current) does not build
>Confidential:   no
>Severity:       critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Jan 12 01:04:00 UTC 2004
>Originator:     Noud de Brouwer
>Release:        1.6ZF
NetBSD host005.template 1.6ZF NetBSD 1.6ZF (GENERIC) #0: Sun Nov 23 13:32:40 UTC 2003 i386

g++ -c -O2 -DNETBSD -o maplay.o
In file included from /usr/include/g++/backward/iostream.h:31,
/usr/include/g++/backward/backward_warning.h:32:2: warning: #warning This file includes at least one deprecated or antiquated header. Please consider using one of the 32 headers found in section of the C++ standard. Examples include substituting the <X> header for the <X.h> header for C++ includes, or <sstream> instead of the deprecated header <strstream.h>. To disable this warning use -Wno-deprecated.
In file included from
subband.h:30: error: `left' redeclared as different kind of symbol

clean install + pkgsrc.tar.gz dated 20040110
cd /usr/pkgsrc/audio/maplay; make